[mythtv-users] Re: Bug in mythtv-suite?

James Alexander jamesralexander at gmail.com
Tue May 17 12:34:28 UTC 2005


Jon, I'm with you. I'm incredibly sorry for being so dense, but I
don't get it either. Here is what I did:

I downloaded the file from the previous e-mail, I changed lines 4, and
10 (Release 53.1, and "mythplugins" respectively)
then I executed the following commands at the prompt:

[root at gwynevere mythtv]# rpmbuild -bb mythtv-suite.spec
Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.69464
+ umask 022
+ cd /usr/src/redhat/BUILD
+ LANG=C
+ export LANG
+ unset DISPLAY
+ exit 0
Executing(%build): /bin/sh -e /var/tmp/rpm-tmp.69464
+ umask 022
+ cd /usr/src/redhat/BUILD
+ LANG=C
+ export LANG
+ unset DISPLAY
+ exit 0
Executing(%install): /bin/sh -e /var/tmp/rpm-tmp.69464
+ umask 022
+ cd /usr/src/redhat/BUILD
+ LANG=C
+ export LANG
+ unset DISPLAY
+ /usr/lib/rpm/redhat/brp-compress
+ /usr/lib/rpm/redhat/brp-strip /usr/bin/strip
+ /usr/lib/rpm/redhat/brp-strip-static-archive /usr/bin/strip
+ /usr/lib/rpm/redhat/brp-strip-comment-note /usr/bin/strip /usr/bin/objdump
Processing files: mythtv-suite-0.18-53.1
Checking for unpackaged file(s): /usr/lib/rpm/check-files %{buildroot}
Wrote: /usr/src/redhat/RPMS/i386/mythtv-suite-0.18-53.1.i386.rpm
[root at gwynevere mythtv]# rpm -Uhv
/usr/src/redhat/RPMS/i386/mythtv-suite-0.18-53.1.i386.rpm
error: Failed dependencies:
        mythtv >= %{eversion} is needed by mythtv-suite-0.18-53.1.i386
        mythtv-backend >= %{eversion} is needed by mythtv-suite-0.18-53.1.i386
        mythtv-frontend >= %{eversion} is needed by mythtv-suite-0.18-53.1.i386
        mythtv-setup >= %{eversion} is needed by mythtv-suite-0.18-53.1.i386
        mythplugins >= %{eversion} is needed by mythtv-suite-0.18-53.1.i386
        mythweb >= %{eversion} is needed by mythtv-suite-0.18-53.1.i386
        myththemes >= %{eversion} is needed by mythtv-suite-0.18-53.1.i386
        mythtv-theme-Titivillus >= 0.20040528 is needed by
mythtv-suite-0.18-53.1.i386
        mythtv-theme-gant >= 0.pr1 is needed by mythtv-suite-0.18-53.1.i386
        mythtv-theme-photo >= 4 is needed by mythtv-suite-0.18-53.1.i386
        mythtv-theme-purplegalaxy >= 0.20031214 is needed by
mythtv-suite-0.18-53.1.i386
        mythtv-theme-visor >= 1:0.13.1 is needed by mythtv-suite-0.18-53.1.i386
        mythtv-theme-sleek >= 0.35 is needed by mythtv-suite-0.18-53.1.i386
        mythtv-theme-isthmus >= 0.20040804 is needed by
mythtv-suite-0.18-53.1.i386
        mythtv-theme-abstract >= 0.20040610 is needed by
mythtv-suite-0.18-53.1.i386
        mythtv-theme-MediaCenter >= 0.17 is needed by
mythtv-suite-0.18-53.1.i386
        mythtv-theme-MythCenter >= 0.17 is needed by mythtv-suite-0.18-53.1.i386
        mythmkmovie >= 1.0.1 is needed by mythtv-suite-0.18-53.1.i386
        mysql-server is needed by mythtv-suite-0.18-53.1.i386
        xmltv is needed by mythtv-suite-0.18-53.1.i386
[root at gwynevere mythtv]#

The box is one that is built from Jarod's  guide, and I'm on step 9
"Get and install MythTV."
Is there no way to change what my box calls the apt-get "mythplugin"?
It seems like using apt-get was so much easier.

Sorry again for being so dense, 
James


On 5/17/05, Axel Thimm <Axel.Thimm at atrpms.net> wrote:
> On Tue, May 17, 2005 at 02:09:54AM -0700, Jon Johnson wrote:
> > On Mon, 2005-05-16 at 22:23 +0200, Axel Thimm wrote:
> >
> > > On Mon, May 16, 2005 at 10:19:18PM +0200, Christoffer Kj°lbŠk wrote:
> > > > man, 16 05 2005 kl. 21:19 +0200, skrev Axel Thimm:
> > > > > > Shouldn't mythplugin be mythplugins?
> > > > >
> > > > > Oops, yes. As it will take quite a while to fix it (see discussion at
> > > > > ATrpms-devel), please get the specfile and replace mythplugin with
> > > > > mythplugins. Use a release tag of 53.1.
> > > > >
> > > > >      http://dl.atrpms.net/production/sources/common/atrpms/mythtv-suite.spec
> > > >
> > > > Sorry for this stupid question, but I can't figure out how to make the
> > > > rpm. I tried googling, and fonud some samples with rpm and rpmbuild, but
> > > > couldn't get it to work.
> > >
> > > Use rpmbuild -bb mythtv-suite.spec after you have changed mythplugin
> > > to mythplugins and have replace Release: ... with Release: 53.1
> >
> > OK well... I guess I need really clear instructions here.  When I ran
> > rpmbuild -bb mythtv-suite.spec then tried to apt-get install this
> > package it said it was a virtual package with no good providers.  How
> > can I make this work??
> 
> rpmbuild -bb mythtv-suite.spec will produce an rpm and the last line
> will tell you were it was saved. Use rpm -Uhv ... on this rpm to
> install it, not apt-get.
> --
> Axel.Thimm at ATrpms.net
> 
> 
> _______________________________________________
> mythtv-users mailing list
> mythtv-users at mythtv.org
> http://mythtv.org/cgi-bin/mailman/listinfo/mythtv-users
> 
> 
> 
>


More information about the mythtv-users mailing list